Favicon

You are here: Home > API Reference > Android > Devices > Get list of emmDevice

Get list of emmDevice

Required Permission: mdm.android.device.list

Get list of emmDevice

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
mdm-user string
optional
Match pattern: ^[a-fA-F0-9]{24}$
emm-policy string
optional
Match pattern: ^[a-fA-F0-9]{24}$
show-deleted boolean
optional
tags array
optional
segmentId integer
optional
expandTo string
optional
ancestorschildren

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
emmEnterprise string optional
Match pattern: ^[a-fA-F0-9]{24}$
mdmUser object optional
deviceEmmPolicy object optional
appliedEmmPolicy object optional
emmPolicy object optional
emmPolicyAssignments array [object] optional
emmPolicyAssignmentsEnforced array [object] optional
state string optional
ACTIVE DISABLED DELETED PROVISIONING
displayName string optional
≤ 128 characters
tags array [string] optional
hasApplications boolean optional
config object optional
_config object optional
Only available for platform admin users
summary object optional
smartAttributeAssignments array [object] optional
smartAttributeAssignmentsEnforced array [object] optional
smartAttributes array [object] optional
type string optional
≤ 128 characters
subType string optional
≤ 128 characters
lastLocation object optional
lastStatusReportTime string optional
Format: date-time
stateHistory array [object] optional
lastReports object optional
lostMode object optional
certificateReport array [object] optional
enrolledDate string optional
Format: date-time
pushNotifications object optional
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
segmentId integer optional
≥ 0
devicePolicyStatus object optional
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organization": "string",
                "emmEnterprise": "string",
                "mdmUser": {
                    "id": "string",
                    "email": "string"
                },
                "deviceEmmPolicy": {
                    "id": "698f42e5457fafa13d088794",
                    "name": "Corporate Security Policy - Android",
                    "description": "Standard security policy for corporate Android devices with app restrictions",
                    "version": "1",
                    "config": {},
                    "_config": {},
                    "packages": {},
                    "emmEnterprise": "698f42e5457fafa13d088795",
                    "private": false,
                    "assets": [
                        {
                            "mdmAssetId": "698f42e5457fafa13d088796",
                            "location": "/sdcard/Company/config.json",
                            "assetName": "App Configuration",
                            "scope": "user"
                        }
                    ],
                    "assetsInfo": [],
                    "bookmarks": [
                        {}
                    ],
                    "updatedAt": "2026-02-13T14: 30:00Z",
                    "createdAt": "2026-02-13T10: 00:00Z",
                    "agentConfiguration": {
                        "allowLocation": true,
                        "allowPackageTime": true,
                        "allowPackageTransfer": true,
                        "allowNetworkStatus": true
                    },
                    "kioskLauncherConfiguration": {
                        "displayDeviceName": true,
                        "settingAction": "GLOBAL",
                        "whitelistedApps": [
                            "com.company.app1",
                            "com.company.app2"
                        ],
                        "escapeHatchPassword": "",
                        "backgroundUrl": "https://cdn.company.com/wallpaper.jpg",
                        "iconSize": "medium",
                        "screenAlwaysOn": true,
                        "unlockPassword": "",
                        "inactivityLockTime": 300,
                        "startingUpApps": [
                            {
                                "packageName": "com.company.dashboard",
                                "config": {}
                            }
                        ],
                        "appsLayout": [
                            {
                                "type": "app",
                                "package": "com.company.app1"
                            }
                        ],
                        "header": {
                            "text": "Company Name",
                            "fontSize": "large"
                        },
                        "footer": {
                            "text": "Support: [email protected]",
                            "fontSize": "small"
                        }
                    },
                    "certificateProviderIds": [
                        "698f42e5457fafa13d088797",
                        "698f42e5457fafa13d088798"
                    ],
                    "certificateProviderAssignments": [
                        {
                            "certificateProviderId": "698f42e5457fafa13d088797",
                            "storeCredentials": false
                        }
                    ],
                    "applications": [
                        {
                            "emmApplicationId": "string",
                            "configuration": "string",
                            "action": "forceInstall",
                            "updatePolicy": {},
                            "customAppConfig": {}
                        }
                    ],
                    "applicationsInfo": [
                        {
                            "emmApplicationId": "698f42e5457fafa13d088799",
                            "emmApplication": {}
                        }
                    ],
                    "segmentId": 1,
                    "exposeToChildren": true
                },
                "appliedEmmPolicy": {
                    "id": "698f42e5457fafa13d088794",
                    "name": "Corporate Security Policy - Android",
                    "description": "Standard security policy for corporate Android devices with app restrictions",
                    "version": "1",
                    "config": {},
                    "_config": {},
                    "packages": {},
                    "emmEnterprise": "698f42e5457fafa13d088795",
                    "private": false,
                    "assets": [
                        {
                            "mdmAssetId": "698f42e5457fafa13d088796",
                            "location": "/sdcard/Company/config.json",
                            "assetName": "App Configuration",
                            "scope": "user"
                        }
                    ],
                    "assetsInfo": [],
                    "bookmarks": [
                        {}
                    ],
                    "updatedAt": "2026-02-13T14: 30:00Z",
                    "createdAt": "2026-02-13T10: 00:00Z",
                    "agentConfiguration": {
                        "allowLocation": true,
                        "allowPackageTime": true,
                        "allowPackageTransfer": true,
                        "allowNetworkStatus": true
                    },
                    "kioskLauncherConfiguration": {
                        "displayDeviceName": true,
                        "settingAction": "GLOBAL",
                        "whitelistedApps": [
                            "com.company.app1",
                            "com.company.app2"
                        ],
                        "escapeHatchPassword": "",
                        "backgroundUrl": "https://cdn.company.com/wallpaper.jpg",
                        "iconSize": "medium",
                        "screenAlwaysOn": true,
                        "unlockPassword": "",
                        "inactivityLockTime": 300,
                        "startingUpApps": [
                            {
                                "packageName": "com.company.dashboard",
                                "config": {}
                            }
                        ],
                        "appsLayout": [
                            {
                                "type": "app",
                                "package": "com.company.app1"
                            }
                        ],
                        "header": {
                            "text": "Company Name",
                            "fontSize": "large"
                        },
                        "footer": {
                            "text": "Support: [email protected]",
                            "fontSize": "small"
                        }
                    },
                    "certificateProviderIds": [
                        "698f42e5457fafa13d088797",
                        "698f42e5457fafa13d088798"
                    ],
                    "certificateProviderAssignments": [
                        {
                            "certificateProviderId": "698f42e5457fafa13d088797",
                            "storeCredentials": false
                        }
                    ],
                    "applications": [
                        {
                            "emmApplicationId": "string",
                            "configuration": "string",
                            "action": "forceInstall",
                            "updatePolicy": {},
                            "customAppConfig": {}
                        }
                    ],
                    "applicationsInfo": [
                        {
                            "emmApplicationId": "698f42e5457fafa13d088799",
                            "emmApplication": {}
                        }
                    ],
                    "segmentId": 1,
                    "exposeToChildren": true
                },
                "emmPolicy": {
                    "id": "string",
                    "name": "string",
                    "version": "string"
                },
                "emmPolicyAssignments": [
                    {
                        "emmPolicyId": "698f42e5457fafa13d08879f",
                        "emmPolicy": {},
                        "priority": 1
                    }
                ],
                "emmPolicyAssignmentsEnforced": [
                    {
                        "emmPolicyId": "698f42e5457fafa13d08879f",
                        "emmPolicy": {},
                        "priority": 1,
                        "automationRule": {
                            "id": "698f42e5457fafa13d08879d",
                            "name": "Sales Team iOS Policies",
                            "deviceAudiences": [
                                {
                                    "id": "698f42e5457fafa13d0887a7",
                                    "name": "Sales Department",
                                    "reasons": [
                                        "tag:sales",
                                        "user.department:Sales"
                                    ]
                                }
                            ]
                        }
                    }
                ],
                "state": "ACTIVE",
                "displayName": "string",
                "tags": [
                    "string"
                ],
                "hasApplications": true,
                "config": {
                    "apiLevel": 0,
                    "appliedPolicyVersion": "string",
                    "appliedState": "ACTIVE",
                    "disabledReason": {
                        "localizedMessages": {},
                        "defaultMessage": "string"
                    },
                    "enrollmentTime": "2024-01-01T00: 00:00Z",
                    "displays": [
                        {
                            "name": "string",
                            "displayId": 0,
                            "refreshRate": 0,
                            "state": "DISPLAY_STATE_UNSPECIFIED",
                            "width": 0,
                            "height": 0,
                            "density": 0
                        }
                    ],
                    "applicationReports": "string",
                    "hardwareInfo": {
                        "brand": "string",
                        "hardware": "string",
                        "deviceBasebandVersion": "string",
                        "manufacturer": "string",
                        "serialNumber": "string",
                        "model": "string",
                        "batteryShutdownTemperatures": [
                            "string"
                        ],
                        "batteryThrottlingTemperatures": [
                            "string"
                        ],
                        "cpuShutdownTemperatures": [
                            "string"
                        ],
                        "cpuThrottlingTemperatures": [
                            "string"
                        ],
                        "gpuShutdownTemperatures": [
                            "string"
                        ],
                        "gpuThrottlingTemperatures": [
                            "string"
                        ],
                        "skinShutdownTemperatures": [
                            "string"
                        ],
                        "skinThrottlingTemperatures": [
                            "string"
                        ]
                    },
                    "lastPolicySyncTime": "2024-01-01T00: 00:00Z",
                    "lastStatusReportTime": "2024-01-01T00: 00:00Z",
                    "managementMode": "MANAGEMENT_MODE_UNSPECIFIED",
                    "memoryInfo": {
                        "totalInternalStorage": "string",
                        "totalRam": "string"
                    },
                    "memoryEvents": [
                        {
                            "eventType": "MEMORY_EVENT_TYPE_UNSPECIFIED",
                            "createTime": "string",
                            "byteCount": "string"
                        }
                    ],
                    "powerManagementEvents": [
                        {
                            "eventType": "POWER_MANAGEMENT_EVENT_TYPE_UNSPECIFIED",
                            "createTime": "string",
                            "batteryLevel": 0
                        }
                    ],
                    "hardwareStatusSamples": {
                        "createTime": "string",
                        "batteryTemperatures": [
                            0
                        ],
                        "cpuTemperatures": [
                            0
                        ],
                        "gpuTemperatures": [
                            0
                        ],
                        "skinTemperatures": [
                            0
                        ],
                        "fanSpeeds": [
                            0
                        ],
                        "cpuUsages": [
                            0
                        ]
                    },
                    "networkInfo": {
                        "imei": "string",
                        "meid": "string",
                        "wifiMacAddress": "string",
                        "networkOperatorName": "string",
                        "telephonyInfos": [
                            {
                                "phoneNumber": "string",
                                "carrierName": "string"
                            }
                        ]
                    },
                    "deviceSettings": {
                        "isDeviceSecure": true,
                        "unknownSourcesEnabled": true,
                        "developmentSettingsEnabled": true,
                        "adbEnabled": true,
                        "isEncrypted": true,
                        "encryptionStatus": "ENCRYPTION_STATUS_UNSPECIFIED",
                        "verifyAppsEnabled": true
                    },
                    "policyCompliant": true,
                    "previousDeviceNames": [
                        "string"
                    ],
                    "securityPosture": {
                        "devicePosture": "SECURE",
                        "postureDetails": [
                            {
                                "securityRisk": "SECURITY_RISK_UNSPECIFIED",
                                "advice": {
                                    "localizedMessages": {}
                                }
                            }
                        ]
                    },
                    "softwareInfo": {
                        "androidBuildNumber": "string",
                        "androidBuildTime": "2024-01-01T00: 00:00Z",
                        "androidDevicePolicyVersionCode": 0,
                        "androidDevicePolicyVersionName": "string",
                        "androidVersion": "string",
                        "bootloaderVersion": "string",
                        "deviceBuildSignature": "string",
                        "deviceKernelVersion": "string",
                        "primaryLanguageCode": "string",
                        "securityPatchLevel": "string",
                        "systemUpdateInfo": {
                            "updateStatus": "UPDATE_STATUS_UNKNOWN",
                            "updateReceivedTime": "2024-01-01T00: 00:00Z"
                        }
                    },
                    "systemProperties": "string",
                    "ownership": "OWNERSHIP_UNSPECIFIED",
                    "state": "ACTIVE",
                    "nonComplianceDetails": [
                        {
                            "settingName": "string",
                            "nonComplianceReason": "API_LEVEL",
                            "packageName": "string",
                            "installationFailureReason": "INSTALLATION_FAILURE_REASON_UNKNOWN",
                            "fieldPath": "string"
                        }
                    ],
                    "commonCriteriaModeInfo": {
                        "commonCriteriaModeStatus": "COMMON_CRITERIA_MODE_STATUS_UNKNOWN"
                    },
                    "certificateReport": [
                        {
                            "origin": "mdmAsset",
                            "originId": "string",
                            "state": "installed",
                            "errorCode": "string",
                            "errorMessage": "string",
                            "updatedAt": "2024-01-01T00: 00:00Z",
                            "challenge": "string",
                            "keyPairAlias": "string",
                            "commonName": "string",
                            "isIdentity": true,
                            "clientIdentity": "string",
                            "certificateInfo": {
                                "issuer": "string",
                                "serialNumber": "string",
                                "subject": "string",
                                "subjectAltName": "string",
                                "validFrom": "2024-01-01T00: 00:00Z",
                                "validTo": "2024-01-01T00: 00:00Z"
                            }
                        }
                    ]
                },
                "_config": {},
                "summary": {
                    "name": "string",
                    "osVersion": "string",
                    "managementMode": "DEVICE_OWNER",
                    "imei": "string",
                    "battery": "string",
                    "os": "string",
                    "serialNumber": "string",
                    "image": "string",
                    "compliance": {},
                    "manufacturer": "string",
                    "model": "string",
                    "udid": "string",
                    "hostname": "string",
                    "ipAddress": "string",
                    "macAddress": "string"
                },
                "smartAttributeAssignments": [
                    {
                        "smartAttributeId": "string",
                        "smartAttribute": {
                            "id": "string",
                            "organizationId": "string",
                            "segmentId": 0,
                            "exposeToChildren": true,
                            "name": "string",
                            "description": "string",
                            "output": {
                                "type": "string"
                            },
                            "input": {
                                "type": "constant",
                                "value": {
                                    "admDevice": {
                                        "value": "string"
                                    },
                                    "aosDevice": {
                                        "value": "string"
                                    },
                                    "emmDevice": {
                                        "value": "string"
                                    },
                                    "winDevice": {
                                        "value": "string"
                                    }
                                },
                                "source": "constant"
                            },
                            "counts": {
                                "android": {
                                    "smartAttributeAssignments": 0,
                                    "smartAttributeAssignmentsEnforced": 0
                                },
                                "apple": {
                                    "smartAttributeAssignments": 0,
                                    "smartAttributeAssignmentsEnforced": 0
                                },
                                "windows": {
                                    "smartAttributeAssignments": 0,
                                    "smartAttributeAssignmentsEnforced": 0
                                }
                            }
                        }
                    }
                ],
                "smartAttributeAssignmentsEnforced": [
                    {
                        "smartAttributeId": "string",
                        "smartAttribute": {
                            "id": "string",
                            "organizationId": "string",
                            "segmentId": 0,
                            "exposeToChildren": true,
                            "name": "string",
                            "description": "string",
                            "output": {
                                "type": "string"
                            },
                            "input": {
                                "type": "constant",
                                "value": {
                                    "admDevice": {
                                        "value": "string"
                                    },
                                    "aosDevice": {
                                        "value": "string"
                                    },
                                    "emmDevice": {
                                        "value": "string"
                                    },
                                    "winDevice": {
                                        "value": "string"
                                    }
                                },
                                "source": "constant"
                            },
                            "counts": {
                                "android": {
                                    "smartAttributeAssignments": 0,
                                    "smartAttributeAssignmentsEnforced": 0
                                },
                                "apple": {
                                    "smartAttributeAssignments": 0,
                                    "smartAttributeAssignmentsEnforced": 0
                                },
                                "windows": {
                                    "smartAttributeAssignments": 0,
                                    "smartAttributeAssignmentsEnforced": 0
                                }
                            }
                        }
                    }
                ],
                "smartAttributes": [
                    {
                        "id": "string",
                        "type": "constant",
                        "label": "string",
                        "value": "string",
                        "updatedAt": "2024-01-01T00: 00:00Z"
                    }
                ],
                "type": "string",
                "subType": "string",
                "lastLocation": {
                    "agent": {
                        "origin": "agent",
                        "date": "2024-01-01T00: 00:00Z",
                        "latitude": 0,
                        "longitude": 0,
                        "ip": "string",
                        "lastReportDate": "2024-01-01T00: 00:00Z",
                        "address": {
                            "address": "string",
                            "number": "string",
                            "postalCode": "string",
                            "city": "string",
                            "country": "string"
                        }
                    },
                    "ip": {
                        "origin": "agent",
                        "date": "2024-01-01T00: 00:00Z",
                        "latitude": 0,
                        "longitude": 0,
                        "ip": "string",
                        "lastReportDate": "2024-01-01T00: 00:00Z",
                        "address": {
                            "address": "string",
                            "number": "string",
                            "postalCode": "string",
                            "city": "string",
                            "country": "string"
                        }
                    }
                },
                "lastStatusReportTime": "2024-01-01T00: 00:00Z",
                "stateHistory": [
                    {
                        "state": "ACTIVE",
                        "date": "2024-01-01T00: 00:00Z",
                        "config": {}
                    }
                ],
                "lastReports": {
                    "sync": "2024-01-01T00: 00:00Z",
                    "agent": {
                        "location": "2024-01-01T00: 00:00Z",
                        "packageTime": "2024-01-01T00: 00:00Z",
                        "packageTransfer": "2024-01-01T00: 00:00Z"
                    }
                },
                "lostMode": {
                    "enabled": true,
                    "startDate": "2024-01-01T00: 00:00Z",
                    "endDate": "2024-01-01T00: 00:00Z",
                    "stoppedBy": "admin",
                    "lastLocation": {
                        "latitude": 0,
                        "longitude": 0,
                        "batteryLevel": 0
                    }
                },
                "certificateReport": [
                    {
                        "origin": "mdmAsset",
                        "originId": "string",
                        "state": "installed",
                        "errorCode": "string",
                        "errorMessage": "string",
                        "updatedAt": "2024-01-01T00: 00:00Z",
                        "challenge": "string",
                        "keyPairAlias": "string",
                        "commonName": "string",
                        "isIdentity": true,
                        "clientIdentity": "string",
                        "certificateInfo": {
                            "issuer": "string",
                            "serialNumber": "string",
                            "subject": "string",
                            "subjectAltName": "string",
                            "validFrom": "2024-01-01T00: 00:00Z",
                            "validTo": "2024-01-01T00: 00:00Z"
                        }
                    }
                ],
                "enrolledDate": "2024-01-01T00: 00:00Z",
                "pushNotifications": {
                    "mdmAgent": true,
                    "remoteSupport": true,
                    "kioskLauncher": true
                },
                "updatedAt": "2024-01-01T00: 00:00Z",
                "createdAt": "2024-01-01T00: 00:00Z",
                "segmentId": 0,
                "devicePolicyStatus": {
                    "pushed": true,
                    "audit": {
                        "name": "string",
                        "config": {
                            "version": "string"
                        },
                        "device": {
                            "version": "string"
                        }
                    }
                }
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}